Subject: Re: Warnings in next-20250703 caused by commit 582111e630f5

From: Thomas Zimmermann <[email-masked]>
Date: Fri, 4 Jul 2025 10:33:31 +0200

Hi

Am 04.07.25 um 10:21 schrieb Bert Karwatzki:
> Am Freitag, dem 04.07.2025 um 09:51 +0200 schrieb Thomas Zimmermann:
>> Hi
>>
>> Am 03.07.25 um 19:23 schrieb Bert Karwatzki:
>>> Am Donnerstag, dem 03.07.2025 um 18:09 +0200 schrieb Thomas Zimmermann:
>>>> Hi,
>>>>
>>>> before I give up on the issue, could you please test the attached patch?
>>>>
>>>> Best regards
>>>> Thomas
>>>>
>>>>
>>>> --
>>>> Thomas Zimmermann
>>>> Graphics Driver Developer
>>>> SUSE Software Solutions Germany GmbH
>>>> Frankenstrasse 146, 90461 Nuernberg, Germany
>>>> GF: Ivo Totev, Andrew Myers, Andrew McDonald, Boudien Moerman
>>>> HRB 36809 (AG Nuernberg)
>>> I applied the patch on top of next-20250703
>>>
>>> $ git log --oneline
>>> 18ee3ed3cb60 (HEAD -> drm_gem_object_handle_put) drm/amdgpu: Provide custom framebuffer destroy function
>>> 8d6c58332c7a (tag: next-20250703, origin/master, origin/HEAD, master) Add linux-next specific files for 20250703
>>>
>>> and it solves the issue for me (i.e. no warnings).
>> Great, thanks for testing. If nothing else, that's the minimal workaround.
>>
>> Here's another patch, which should solve the problem for all drivers.
>> Could you please revert the old fix and apply the new one and test again?
>>
>> Best regards
>> Thomas
>>
>>
>>> Bert Karwatzki
> Applied your patch after reverting:
>
> $ git log --oneline
> f4e557e3ae37 (HEAD -> drm_gem_object_handle_put) drm/framebuffer: Acquire internal references on GEM handles
> 49f9aa27dc15 Revert "drm/amdgpu: Provide custom framebuffer destroy function"
> 18ee3ed3cb60 drm/amdgpu: Provide custom framebuffer destroy function
> 8d6c58332c7a (tag: next-20250703, origin/master, origin/HEAD, master) Add linux-next specific files for 20250703
>
> again everything works without warning.

Thanks again. I'll submit this patch for review then.

Best regards
Thomas

> Bert Karwatzki

-- 
--
Thomas Zimmermann
Graphics Driver Developer
SUSE Software Solutions Germany GmbH
Frankenstrasse 146, 90461 Nuernberg, Germany
GF: Ivo Totev, Andrew Myers, Andrew McDonald, Boudien Moerman
HRB 36809 (AG Nuernberg)